package cn.axzo.msg.center.service.dto;

import com.alibaba.fastjson.JSON;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.io.Serializable;

/**
 * @author cold_blade
 * @date 2023/10/20
 * @version 1.0
 */
@Setter
@Getter
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class MessageCardContentItemDTO implements Serializable {

    private static final long serialVersionUID = -8696875791099408327L;

    /**
     * 卡片内容标签
     */
    private String label;
    /**
     * 卡片内容标签值
     */
    private String value;

    public MessageCardContentItemDTO deepClone() {
        return MessageCardContentItemDTO.builder()
                .label(this.label)
                .value(this.value)
                .build();
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
